package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.ComplaintsStatusEnum;
import com.ym.mec.biz.dal.enums.SignInStatusEnum;
import com.ym.mec.biz.dal.enums.SignOutStatusEnum;
import com.ym.mec.biz.dal.enums.UpdateAttendanceEnum;

public class TeacherAttendanceComplaintsDto{
    private String organName;

    private Long teacherAttendanceId;

    private Long courseScheduleId;

    private String courseScheduleName;

    private String courseScheduleTime;

    private String courseScheduleStartTime;

    private String courseScheduleEndTime;

    private SignInStatusEnum signInStatus;

    private SignOutStatusEnum signOutStatus;

    private String teacherName;

    private ComplaintsStatusEnum complaintsStatusEnum;

    private UpdateAttendanceEnum updateAttendanceEnum;

    private String operatorName;

    private String signInTime;

    private String signOutTime;

    private String complaintsContent;

    private String disposeContent;

    private String url;

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public UpdateAttendanceEnum getUpdateAttendanceEnum() {
        return updateAttendanceEnum;
    }

    public void setUpdateAttendanceEnum(UpdateAttendanceEnum updateAttendanceEnum) {
        this.updateAttendanceEnum = updateAttendanceEnum;
    }

    public Long getTeacherAttendanceId() {
        return teacherAttendanceId;
    }

    public void setTeacherAttendanceId(Long teacherAttendanceId) {
        this.teacherAttendanceId = teacherAttendanceId;
    }

    public String getCourseScheduleEndTime() {
        return courseScheduleEndTime;
    }

    public void setCourseScheduleEndTime(String courseScheduleEndTime) {
        this.courseScheduleEndTime = courseScheduleEndTime;
    }

    public String getCourseScheduleStartTime() {
        return courseScheduleStartTime;
    }

    public void setCourseScheduleStartTime(String courseScheduleStartTime) {
        this.courseScheduleStartTime = courseScheduleStartTime;
    }

    public String getSignInTime() {
        return signInTime;
    }

    public void setSignInTime(String signInTime) {
        this.signInTime = signInTime;
    }

    public String getSignOutTime() {
        return signOutTime;
    }

    public void setSignOutTime(String signOutTime) {
        this.signOutTime = signOutTime;
    }

    public String getComplaintsContent() {
        return complaintsContent;
    }

    public void setComplaintsContent(String complaintsContent) {
        this.complaintsContent = complaintsContent;
    }

    public String getDisposeContent() {
        return disposeContent;
    }

    public void setDisposeContent(String disposeContent) {
        this.disposeContent = disposeContent;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public String getCourseScheduleName() {
        return courseScheduleName;
    }

    public void setCourseScheduleName(String courseScheduleName) {
        this.courseScheduleName = courseScheduleName;
    }

    public String getCourseScheduleTime() {
        return courseScheduleTime;
    }

    public void setCourseScheduleTime(String courseScheduleTime) {
        this.courseScheduleTime = courseScheduleTime;
    }

    public SignInStatusEnum getSignInStatus() {
        return signInStatus;
    }

    public void setSignInStatus(SignInStatusEnum signInStatus) {
        this.signInStatus = signInStatus;
    }

    public SignOutStatusEnum getSignOutStatus() {
        return signOutStatus;
    }

    public void setSignOutStatus(SignOutStatusEnum signOutStatus) {
        this.signOutStatus = signOutStatus;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public ComplaintsStatusEnum getComplaintsStatusEnum() {
        return complaintsStatusEnum;
    }

    public void setComplaintsStatusEnum(ComplaintsStatusEnum complaintsStatusEnum) {
        this.complaintsStatusEnum = complaintsStatusEnum;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }
}
